Name:		chrony
Version:	4.3
Release:	%mkrel 1
Summary:	An NTP client/server
Group:		System/Servers
License:	GPLv2
URL:		https://chrony.tuxfamily.org
Source0:	https://download.tuxfamily.org/chrony/chrony-%{version}.tar.gz
Source1:	chrony.dhclient
Source3:	chrony-dnssrv@.service
Source4:	chrony-dnssrv@.timer

# add distribution-specific bits (from Fedora) to DHCP dispatcher
Patch1:		chrony-nm-dispatcher-dhcp.patch

BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(libedit)
BuildRequires:	pkgconfig(nettle)
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	bison
BuildRequires:	gnutls-devel
BuildRequires:	pps-tools-devel
Requires(pre):	rpm-helper >= 0.24.8-1
Requires(post):	rpm-helper >= 0.24.8-1
Requires(postun): rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
A client/server for the Network Time Protocol, this program keeps your
computer's clock accurate. It was specially designed to support
systems with intermittent internet connections, but it also works well
in permanently connected environments. It can use also hardware reference
clocks, system real-time clock or manual input as time references.

%prep
%setup -q
%autopatch -p1

cp examples/chrony.conf.example2 chrony.conf
touch -r examples/chrony.conf.example2 chrony.conf

# regenerate the file from getdate.y
rm -f getdate.c

%build
%serverbuild
export CFLAGS="$CFLAGS -pie -fpie"
export LDFLAGS="$LDFLAGS -Wl,-z,relro,-z,now"

%configure \
	--enable-scfilter \
	--docdir=%{_docdir} \
	--with-ntp-era=$(date -d '1970-01-01 00:00:00+00:00' +'%s') \
	--with-user=chrony \
	--with-hwclockfile=%{_sysconfdir}/adjtime \
	--with-sendmail=%{_sbindir}/sendmail \
	--with-pidfile=%{_rundir}/chrony/chronyd.pid \
	--chronyrundir=%{_rundir}/chrony

%make_build

%install
%make_install

rm -rf %{buildroot}%{_docdir}

mkdir -p %{buildroot}%{_sysconfdir}/{sysconfig,logrotate.d}
mkdir -p %{buildroot}%{_localstatedir}/{lib,log}/chrony
mkdir -p %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d
mkdir -p %{buildroot}%{_sysconfdir}/dhcp/dhclient.d
mkdir -p %{buildroot}%{_libexecdir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_prefix}/lib/systemd/ntp-units.d

install -m 644 -p chrony.conf %{buildroot}%{_sysconfdir}/chrony.conf

install -m 640 -p examples/chrony.keys.example \
	%{buildroot}%{_sysconfdir}/chrony.keys
install -m 755 -p examples/chrony.nm-dispatcher.onoffline \
	%{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony-onoffline
install -m 755 -p examples/chrony.nm-dispatcher.dhcp \
	%{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony-dhcp
install -m 755 -p %{SOURCE1} \
	%{buildroot}%{_sysconfdir}/dhcp/dhclient.d/chrony.sh
install -m 644 -p examples/chrony.logrotate \
	%{buildroot}%{_sysconfdir}/logrotate.d/chrony

install -m 644 -p examples/chronyd.service \
	%{buildroot}%{_unitdir}/chronyd.service
install -m 644 -p examples/chrony-wait.service \
	%{buildroot}%{_unitdir}/chrony-wait.service
install -m 644 -p %{SOURCE3} %{buildroot}%{_unitdir}/chrony-dnssrv@.service
install -m 644 -p %{SOURCE4} %{buildroot}%{_unitdir}/chrony-dnssrv@.timer

touch %{buildroot}%{_localstatedir}/lib/chrony/{drift,rtc}

echo 'chronyd.service' > %{buildroot}%{_prefix}/lib/systemd/ntp-units.d/50-chronyd.list

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%post
%_post_service chronyd

%preun
%_preun_service chronyd

%postun
%_postun_userdel %{name}

%files
%doc COPYING FAQ NEWS README
%config(noreplace) %{_sysconfdir}/chrony.conf
%config(noreplace) %verify(not md5 size mtime) %attr(640,root,chrony) %{_sysconfdir}/chrony.keys
%config(noreplace) %{_sysconfdir}/logrotate.d/chrony
%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony-onoffline
%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony-dhcp
%{_sysconfdir}/dhcp/dhclient.d/chrony.sh
%{_bindir}/chronyc
%{_sbindir}/chronyd
%{_prefix}/lib/systemd/ntp-units.d/*.list
%{_unitdir}/chrony*.service
%{_unitdir}/chrony*.timer
%{_mandir}/man[158]/%{name}*.[158]*
%dir %attr(750,chrony,chrony) %{_localstatedir}/lib/chrony
%ghost %attr(-,chrony,chrony) %{_localstatedir}/lib/chrony/drift
%ghost %attr(-,chrony,chrony) %{_localstatedir}/lib/chrony/rtc
%dir %attr(750,chrony,chrony) %{_localstatedir}/log/chrony


%changelog
* Tue Sep 13 2022 luigiwalser <luigiwalser> 4.3-1.mga9
+ Revision: 1887908
- 4.3
- update patch1 from fedora

* Tue Mar 29 2022 umeabot <umeabot> 4.2-2.mga9
+ Revision: 1832551
- Mageia 9 Mass Rebuild

* Tue Jan 25 2022 luigiwalser <luigiwalser> 4.2-1.mga9
+ Revision: 1769794
- 4.2

* Sat May 15 2021 luigiwalser <luigiwalser> 4.1-1.mga9
+ Revision: 1723259
- 4.1
- update patch 1 and source 1 from fedora

* Sun Nov 29 2020 luigiwalser <luigiwalser> 4.0-2.mga8
+ Revision: 1650427
- rebuild for nettle

* Tue Oct 27 2020 luigiwalser <luigiwalser> 4.0-1.mga8
+ Revision: 1639938
- 4.0
- add distro-integration patch to nm-dispatcher.dhcp example from fedora
- remove chrony-helper
- update chrony.dhclient from fedora
- fix some directory permissions to match upstream

* Fri Aug 21 2020 luigiwalser <luigiwalser> 3.5.1-1.mga8
+ Revision: 1617701
- 3.5.1 (fixes CVE-2020-14367)

* Tue Feb 18 2020 umeabot <umeabot> 3.5-2.mga8
+ Revision: 1541790
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 02 2020 luigiwalser <luigiwalser> 3.5-1.mga8
+ Revision: 1475406
- 3.5
- update patch 0, chrony.dhclient, chrony.helper from fedora

* Thu Nov 07 2019 pterjan <pterjan> 3.4-4.mga8
+ Revision: 1458694
- rebuild for new nettle on armv7hl

* Tue Oct 01 2019 daviddavid <daviddavid> 3.4-3.mga8
+ Revision: 1448558
- rebuild for new nettle 3.5.1

* Sat Feb 16 2019 wally <wally> 3.4-2.mga7
+ Revision: 1367539
- store pidfile and sockets to /run/chrony instead of /var/run/chrony

* Fri Dec 28 2018 luigiwalser <luigiwalser> 3.4-1.mga7
+ Revision: 1345854
- update patch
- 3.4

* Sat Sep 22 2018 umeabot <umeabot> 3.3-2.mga7
+ Revision: 1296172
- Mageia 7 Mass Rebuild

* Sat Apr 07 2018 luigiwalser <luigiwalser> 3.3-1.mga7
+ Revision: 1215960
- 3.3
- build with nettle instead of nss (from fedora)

* Sat Nov 18 2017 zezinho <zezinho> 3.2-2.mga7
+ Revision: 1177677
- rebuild against pps fixing MGA#15790

* Wed Oct 18 2017 mjack <mjack> 3.2-1.mga7
+ Revision: 1172449
- Added the tarball
- Updated to version 3.2

* Mon Nov 28 2016 luigiwalser <luigiwalser> 2.4.1-1.mga6
+ Revision: 1070581
- 2.4.1
- update chrony-helper from fedora to fix rhbz#1350531 and rhbz#1374767

* Wed Aug 10 2016 luigiwalser <luigiwalser> 2.4-1.mga6
+ Revision: 1045263
- 2.4

* Fri May 06 2016 luigiwalser <luigiwalser> 2.3-1.mga6
+ Revision: 1009932
- 2.3

* Mon Jan 25 2016 luigiwalser <luigiwalser> 2.2.1-1.mga6
+ Revision: 927104
- 2.2.1 (fixes CVE-2016-1567)

* Wed Dec 30 2015 luigiwalser <luigiwalser> 2.2-1.mga6
+ Revision: 916879
- 2.2
- enable seccomp filter support

* Wed Dec 30 2015 luigiwalser <luigiwalser> 2.1.1-1.mga6
+ Revision: 916872
- 2.1.1
- sync sources with fedora, adds ability to look up ntp SRV records

* Tue Apr 07 2015 luigiwalser <luigiwalser> 1.31.1-1.mga5
+ Revision: 819851
- 1.31.1 (fixes CVE-2015-1821, CVE-2015-1822, and CVE-2015-1853)

* Sun Feb 01 2015 luigiwalser <luigiwalser> 1.31-2.mga5
+ Revision: 812965
- 1.31 (sync with fedora 21)
- add servers from DHCP with iburst option by default
- use upstream configuration files and scripts
- don't package configuration examples
- compress chrony.txt
- add patch to use system adjtimex headers to cope with kernel changes
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 luigiwalser <luigiwalser> 1.30-1.mga5
+ Revision: 666924
- 1.30
- add patch from fedora, reconnect client sockets (rhbz#1124059)

* Wed Feb 05 2014 luigiwalser <luigiwalser> 1.29.1-1.mga5
+ Revision: 583683
- 1.29.1 (fixes CVE-2014-0021)
- add ordering dependency to not start chronyd before ntpd stopped (fedora)
- let systemd remove pid file (rhbz#974305)
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.29-1.mga4
+ Revision: 472352
- add /lib/systemd/system/ntp-units.d/50-chrony.list
- adapt to mageia
- sync some bits from fedora
- imported package chrony


* Thu Jan  3 2013 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.27-0.pre1git1ca844a.2
- drop dependency on 'info'

* Sat Nov 03 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.27-0.pre1git1ca844a.1
+ Revision: 821779
- update to new version 1.27-pre1
- patch0: update to git b088b7
- update from fedora fils chrony.dhclient chrony-wait.service chrony.helper
- dont run info-install on %%post, %%preun
- spec file clean

* Sun Oct 09 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.26.20110831gitb088b7-2
+ Revision: 703948
- use global ntp servers in chrony.conf
- use %%serverbuild_hardened macro for mdv2012
- spec file clean

* Sun Sep 18 2011 Александр Казанцев <kazancas@mandriva.org> 1.26.20110831gitb088b7-1
+ Revision: 700224
- update to 1.26
- adapt for Mandriva use with systemd
- drop SysVinit service

* Wed May 04 2011 Michael Scherer <misc@mandriva.org> 1.25-1
+ Revision: 666398
- update to new version 1.25

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.24-4mdv2011.0
+ Revision: 610138
- rebuild

* Thu Feb 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.24-3mdv2010.1
+ Revision: 511156
- bump release again...
- bump release due to unknown bs problems
- 1.24 (fixes CVE-2010-0292, CVE-2010-0293, CVE-2010-0294)
- rediffed one patch

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.23-8mdv2010.0
+ Revision: 437030
- rebuild

* Fri Apr 03 2009 Funda Wang <fwang@mandriva.org> 1.23-7mdv2009.1
+ Revision: 363669
- rebuild for new readline

* Thu Mar 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.23-6mdv2009.1
+ Revision: 361432
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild for latest readline

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.23-3mdv2009.0
+ Revision: 243883
- rebuild

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.org> 1.23-1mdv2008.1
+ Revision: 159227
- buildrequires texinfo (for .info file creation)
- new release 1.23 (hopefully fix #23977)
- rewrap description
- new license policy
- spec clean

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import chrony


* Wed Jun 21 2006 Lenny Cartier <lenny@mandriva.com> 1.22-0.20060621mdv2007.0
- conflicts ntp openntpd
- update to 20060621

* Sun Apr 03 2005 Michael Scherer <misc@mandrake.org> 1.20-3mdk
- Rebuild for readline

* Sat Jan 03 2004 Franck Villaume <fvill@freesurf.fr> 1.20-2mdk
- add BuildRequires : readline-devel

* Sun Dec 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.20-1mdk
- 1.20
- cleanups
- macroize
- quiet setup
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- fix buildrequires (lib64..)
- add clean section
- fix init script (P1) in stead of messing with symlinks for chkconfig
- compile with $RPM_OPT_FLAGS

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.19-2mdk
- adjust buildrequires

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.19-1mdk
- from Aleksander Adamowski <olo@altkom.com.pl> :
	- update to version 1.19
- add manpages

* Fri Sep 20 2002 Aleksander Adamowski <olo@altkom.com.pl> 1.18-1mdk
	- update to version 1.18

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.17-3mdk
- rebuild for new readline

* Mon May 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.17-2mdk
- fixed by Vlatko Kosturjak <kost@linux-mandrake.com> :
	- fix for /etc/init.d/chronyd script (missing quote)
	- fix for info install/uninstall
	- support for chkconfig (chronyd is now visible in drakxservices)

* Thu Mar 07 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.17-1mdk
- updated by W. Unruh <unruh@physics.ubc.ca> :
	- update to version 1.17

* Fri Jun 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- update to 1.15

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 1.14-3mdk
- ExcludeArch: ppc
- Macros
- Spec clean up

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.14-2mdk
- fix info pages

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.14-1mdk
- include fixes from :
 	Tue Sep 18 2000 W. Unruh <unruh@phsyics.ubc.ca> 1.14-1mdk
	-fix links in /etc/rc.d
	-update to version 1.14
- macros

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.11-2mdk
- fix group
- spec helper fixes

* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fixed non-root build of the package
- bypass install script
- add correct links
- used original srpm provided by Per Wedin <perra@m-media.se>

* Sun Feb 06 2000 Per Wedin <perra@m-media.se>
- 1.11-2: Minor changes in chrony-1.11.spec
 
* Sat Feb 05 2000 Per Wedin <perra@m-media.se>
- New version: 1.11-1. First try...
 
* Wed Jun 24 1998 Corey Minyard <minyard@acm.org>
- Fixed all the configuration information so it went out correctly
 
* Mon Jun 22 1998 Corey Minyard <minyard@acm.org>
- Initial version.
